#ifndef __KEYUTILS__
#define __KEYUTILS__
#pragma once

#ifndef __EVENTS__
#include <Events.h>
#endif
	
#define kCommandKeyCode			 0x37
#define kShiftKeyCode			 0x38
#define kCapsLockKeyCode 		 0x39
#define kOptionKeyCode 			 0x3A
#define kControlKeyCode 		 0x3B

#define kRightOptionKeyCode 	 0x3D
#define kRightControlKeyCode 	 0x3E

inline bool KeyIsDown(short k)
{
#if 0
	unsigned long km[4];
	
	GetKeys(km);
	
	return ((km[k>>5] >> (k & 31)) & 1);
#else
	Byte km[16];
	
	GetKeys(* (KeyMap*) &km);
	
	return ((km[k>>3] >> (k & 7)) & 1) != 0;
#endif
}

#endif  __KEYUTILS__



