#ifndef __STRINGUTILS__
#define __STRINGUTILS__
#pragma once 

#ifndef __STRINGCOMPARE__
#include <StringCompare.h>
#endif

StringPtr	pstrcpy(StringPtr dst, ConstStr255Param src, int maxlen = 255);
StringPtr	pstrcat(StringPtr dst, ConstStr255Param src, int maxlen = 255);

char*		pcstrcpy(char* dst, ConstStr255Param src, int maxlen = 255);
char*		pcstrcat(char* dst, ConstStr255Param src, int maxlen = 255);

StringPtr	cpstrcpy(StringPtr dst, const char* src, int maxlen = 255);	// copy cstring to pstring
StringPtr	cpstrcat(StringPtr dst, const char* src, int maxlen = 255);

int			stricmp(const char* strA, const char* strB, bool caseSens = false, bool diacSens = true);
int			pcstricmp(ConstStr255Param strA, const char* strB, bool caseSens = false, bool diacSens = true);

inline int	pstricmp(ConstStr255Param strA, ConstStr255Param strB, bool caseSens = false, bool diacSens = true)
			{ return RelString(strA, strB, caseSens, diacSens); }

inline int	cpstricmp(const char* strA, ConstStr255Param strB, bool caseSens = false, bool diacSens = true)
			{ return -pcstricmp(strB, strA, caseSens, diacSens); }


#endif __STRINGUTILS__
