/*
	File:		ThreadContext.cp

	Contains:	An abstract class for a thread context
				
	Written by: Steve Sisak
	
	Copyright:	 1995 by Steve Sisak, all rights reserved.

	Change History (most recent first):
	 
 */

#include "ThreadContext.h"
#include "ThreadSupport.h"
#include "Exceptions.h"
#include <OSUtils.h>

ThreadContext::ThreadContext()
{
}

ThreadContext::~ThreadContext()
{
}

void ThreadContext::SwitchIn(void)
{
}

void ThreadContext::SwitchOut(void)
{
}

void ThreadContext::Terminate(void)
{
}

//--------------------------------------------------------------------------------
LinkedList* ThreadContext::GetList()
{
	return &fThread->fContextList;
}

//--------------------------------------------------------------------------------
void* ThreadContext::GetObjectPtr()
{
	return this;
}

