#ifndef __AETYPECOERCIONS__
#define __AETYPECOERCIONS__ 
#pragma once

#include "MemUtils.h"

pascal OSErr AEInstallTypeCoercions();

class CAEDesc;

class AsCString : protected WithHandleLocked
{
public:
	AsCString(CAEDesc& desc);

	inline const char* operator*() const 	{ return *fHandle; }
	inline char* operator*()				{ return *fHandle; }
};


class AsPString : protected WithHandleLocked
{
public:
	AsPString(CAEDesc& desc);

	inline const unsigned char* operator*() const 	{ return (unsigned char*) *fHandle; }
	inline unsigned char* operator*()				{ return (unsigned char*) *fHandle; }
};



#endif __AETYPECOERCIONS__
