#ifndef __EVENTFILTER__
#define __EVENTFILTER__
#pragma once

#include <AppleEvents.h>

#include "Object.h"
#include "OTList.h"

class ToolboxEvent;

class EventFilter : public virtual TObject
{
	DeclareClassSingleAbstract(EventFilter, TObject);

//	DeclareClassNoBaseAbstract(EventFilter);

	OTLink		fNextFilter;

public:
	inline EventFilter() { fNextFilter.Init(); }
	virtual ~EventFilter() = 0 {};

	virtual bool	FilterEvent(ToolboxEvent& evt);
	virtual bool	FilterAppleEvent(EventRecord& evt, long returnID, long transactionID, const AEAddressDesc& sender);

	DeclareEmbeddedLink(EventFilter, NextFilter, 8);
};

#endif __EVENTFILTER__
