#ifndef __EVENTFILTERCHAIN__
#define __EVENTFILTERCHAIN__
#pragma once

#include "OTList.h"
#include "EventFilter.h"

class EventFilterChain : public EventFilter
{
	DeclareClassSingle(EventFilterChain, EventFilter);

protected:
	NextFilterList		fFilters;

public:
	EventFilterChain();
	virtual ~EventFilterChain();
	
	virtual bool	FilterEvent(ToolboxEvent& evt);
	virtual bool	FilterAppleEvent(EventRecord& evt, long returnID, long transactionID, const AEAddressDesc& sender);

	inline EventFilter::NextFilterList& GetFilterList() { return fFilters; }
};


#endif __EVENTFILTERCHAIN__
