#ifndef __SILLYBALLS__
#define __SILLYBALLS__
#pragma once

#include <Windows.h>
#include <Threads.h>

#include "EventLoop.h"

class TSillyBallWindow
{
	WindowPtr	fWindow;
	ThreadID	fThreadID;
	
public:
	TSillyBallWindow();
	~TSillyBallWindow();

	void		NewBall();

	static pascal voidPtr SillyBallThread(void *threadParam);
};


class TSillyLoop : public FGEventLoop
{
public:
	inline TSillyLoop(short mask = everyEvent) : FGEventLoop(mask) {}
	virtual ~TSillyLoop();

	virtual bool HandleMenuSelection(long what);
	
private:
	typedef FGEventLoop Inherited;
};

#endif __SILLYBALLS__
